{% extends 'main_app/base.html' %}

{% load static %}

{% block specific_css %}
    <link rel="stylesheet" type="text/css" href="{% static 'assignments/css/assignment_page.css' %}">
{% endblock specific_css %}

{% block content %}
    <div id="message">
        <h4>Please Wait...</h4>
        <div class="loader"></div>
    </div>
    <div id="cover"></div>

    <div class="container">
        <div class="row my-5">
            <div class="col-8 col-md-9">
                <div class="row">
                    <div class="col-6">
                        <h1>{{ assignment.title }}</h1>
                    </div>
                    <div class="col-6 py-1">
                        {% if isTeacher or isAssistant %}
                            <a href="edit_assignment/{{ assignment.id }}" class="btn btn-warning">Edit</a>
                        {% endif %}
                    </div>
                    <div class="row">
                        <div class="col">
                            <h6>Course: <a href="{{ course_url }}">{{ course }}</a></h6>
                            <h6>Period: {{ assignment.period }}</h6>
                            <div class="row" style="margin-bottom: 10px; margin-left: 0">
                                {% for tag in tags %}
                                    <span class="badge badge-primary" style="margin: 5px">{{ tag }}</span>
                                {% endfor %}
                            </div>
                        </div>
                    </div>
                </div>
                {% if assignment.statement %}
                    <div class="row">
                        <div class="col">
                            <object data="{{ assignment.statement.url }}" type="application/pdf"
                                    width="100%" height="1000">
                                <p>Something happened</p>
                            </object>
                        </div>
                    </div>
                {% else %}
                    <p>This assignment doesn't have a statement.</p>
                {% endif %}
            </div>
            <div class="col-4 col-md-3">
                <div class="row">
                    <div class="card w-100">
                        <div class="card-body">
                            <h5 class="card-title">Send Script</h5>
                            <form method="post" enctype="multipart/form-data">
                                {% csrf_token %}
                                <div class="form-group">
                                    <label for="language">Programming language</label>
                                    <select class="form-control" name="language" id="language">
                                        {% for lang in langs %}
                                            <option value="{{ lang.name }}">{{ lang.name }}</option>
                                        {% empty %}
                                            <option disabled>No languages available in this problem</option>
                                        {% endfor %}
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="file">File</label>
                                    <input type="file" class="form-control-file" name="sample_code" id="file">
                                </div>
                                <div class="form-group">
                                    <input type="hidden" class="form-control" name="submission_type" value="single">
                                </div>
                                <div class="row justify-content-center mt-3 px-5">
                                    {% if has_tests %}
                                        <button type="submit" class="btn btn-outline-primary btn-block"
                                                onclick="showMessage()">Send
                                        </button>
                                    {% else %}
                                        <button type="submit" class="btn btn-outline-primary btn-block"
                                                onclick="showMessage()" disabled>Send
                                        </button>
                                    {% endif %}
                                </div>

                            </form>
                        </div>
                    </div>
                </div>
                {% if isTeacher or isAssistant %}
                <div class="row" style="height: 25px"></div>
                <div class="row">
                    <div class="card w-100">
                        <div class="card-body">
                            <h5 class="card-title">Send Multiple Scripts</h5>
                            <form method="post" enctype="multipart/form-data">
                                {% csrf_token %}
                                <div class="form-group">
                                    <label for="language">Programming language</label>
                                    <select class="form-control" name="language" id="language">
                                        {% for lang in langs %}
                                            <option value="{{ lang.name }}">{{ lang.name }}</option>
                                        {% empty %}
                                            <option disabled>No languages available in this problem</option>
                                        {% endfor %}
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="file">File</label>
                                    <input type="file" class="form-control-file" name="sample_code" id="file">
                                    <small class="form-text text-muted">
                                        The file sent must be a .zip file with scripts to test inside, as shown <a
                                            href="" data-toggle="modal" data-target=".bd-tutorial-modal-lg">here</a>
                                    </small>
                                </div>
                                <div class="form-group">
                                    <input type="hidden" class="form-control" name="submission_type" value="multiple">
                                </div>
                                <div class="row justify-content-center mt-3 px-5">
                                    {% if has_tests %}
                                        <button type="submit" class="btn btn-outline-primary btn-block">Send
                                        </button>
                                    {% else %}
                                        <button type="submit" class="btn btn-outline-primary btn-block" disabled>Send
                                        </button>
                                    {% endif %}
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                {% endif %}
                <p>Deadline: {{ assignment.deadline }}</p>
            </div>
        </div>
        <div class="modal fade bd-tutorial-modal-lg" tabindex="-1" role="dialog"
             aria-labelledby="myLargeModalLabel"
             aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="myLargeModalLabel">Multiple File Submission Tutorial</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p>As for now, the only type of file accepted by the system are .zip files.</p>
                        <h4>Zip Files</h4>
                        <p>Only the scripts contained in the first level of the .zip file will be tested, if the file
                            has any folders, the files inside these folders won´t be tested. Here is an example of a
                            valid zip file with python scripts:</p>
                        <img src="{% static 'assignments/imgs/zip_example_file.png' %}">
                        <p>In this example all the files solutionX.py will be tested.</p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}

{% block specific_js %}
    <script>
        let showMessage = () => {
            $('#cover, #message').css('display', 'block');
        };
    </script>
{% endblock specific_js %}